org.eclipse.microprofile.rest.client.tck.ext

## Class CustomClientHeadersFactory

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.ext.CustomClientHeadersFactory

All Implemented Interfaces:
  ClientHeadersFactory

    public class CustomClientHeadersFactory
    extends Object
    implements ClientHeadersFactory

### Field Summary

Fields
`static boolean` `invoked`
`static boolean` `isIncomingHeadersMapNull`
`static boolean` `isOutgoingHeadersMapNull`
`static jakarta.ws.rs.core.MultivaluedMap<String,String>` `passedInOutgoingHeaders`

### Constructor Summary

Constructors
Constructor and Description
`CustomClientHeadersFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.MultivaluedMap<String,String>` `update(jakarta.ws.rs.core.MultivaluedMap<String,String> incomingHeaders, jakarta.ws.rs.core.MultivaluedMap<String,String> clientOutgoingHeaders)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### passedInOutgoingHeaders

    public static jakarta.ws.rs.core.MultivaluedMap<String,String> passedInOutgoingHeaders

#### invoked

    public static boolean invoked

#### isIncomingHeadersMapNull

    public static boolean isIncomingHeadersMapNull

#### isOutgoingHeadersMapNull

    public static boolean isOutgoingHeadersMapNull

### Constructor Detail

#### CustomClientHeadersFactory

    public CustomClientHeadersFactory()

### Method Detail

#### update

    public jakarta.ws.rs.core.MultivaluedMap<String,String> update(jakarta.ws.rs.core.MultivaluedMap<String,String> incomingHeaders,
                                                                   jakarta.ws.rs.core.MultivaluedMap<String,String> clientOutgoingHeaders)

Specified by:
  `update` in interface `ClientHeadersFactory`